# Withdraw credits and create exports Allows the combination of withdrawal of credits and creation of export in bulk Endpoint: POST /exchanges/{ExchangeCode}/account/{AccountIdentifier}/program/{ProgramCode}/action/withdraw-and-export Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `ExchangeCode` (string, required) Exchange code Example: "CBL , RVCMC" - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" - `ProgramCode` (string, required) Any program code. Ref.Data.REGISTRY_PROGRAM_REGI ## Request fields (application/json): - `dryRun` (boolean) If true it will only do the validation of the request but not withdraw nor export - `exports` (array, required) - `exports.ein` (string, required) - `exports.quantity` (integer, required) - `exports.externalIdentifier` (string) ## Response 200 fields (application/json): - `batchIdentifier` (string, required) EMA export batch identifier - `exports` (array, required) - `exports.transferIdentifier` (string, required) - `exports.externalIdentifier` (string) ## Response 400 fields (application/json): - `code` (string, required) Enum: "INVALID_PROGRAM", "INVALID_REQUEST", "EMPTY_REQUEST", "INVALID_EXPORTS", "INVALID_ACCOUNT", "INVALID_EXCHANGE" - `message` (string, required) - `errors` (array) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)